IRQ_ALLOC_DOMAIN_GEN(9)

NAME
irq_alloc_domain_generic_chips - Allocate generic chips for an irq domain

SYNOPSIS

int irq_alloc_domain_generic_chips(struct irq_domain * d, int irqs_per_chip, int num_ct, const char * name, irq_flow_handler_t handler, unsigned int clr, unsigned int set, enum irq_gc_flags gcflags);

ARGUMENTS

d
    irq domain for which to allocate chips

irqs_per_chip
    Number of interrupts each chip handles

num_ct
    Number of irq_chip_type instances associated with this

name
    Name of the irq chip

handler
    Default flow handler associated with these chips

clr
    IRQ_* bits to clear in the mapping function

set
    IRQ_* bits to set in the mapping function

gcflags
    Generic chip specific setup flags

AUTHORS

Thomas Gleixner <tglx@linutronix.de>
    Author.

Ingo Molnar <mingo@elte.hu>
    Author.

COPYRIGHT